package be.iminds.ilabt.jfed.lowlevel.planetlab;

import be.iminds.ilabt.jfed.fedmon.webapi.service.json.*;
import be.iminds.ilabt.jfed.util.KeyUtil;

import java.security.KeyPair;
import java.security.cert.X509Certificate;

/**
 * CertificateFetcher
 */
public class PlanetlabCertificateFetcher {
    public static X509Certificate createSelfSignedCertificate(Server planetlabServer, String planetlabSfaHrn, String privateKeyPem, KeyPair keypair) {
        assert privateKeyPem != null;
        assert keypair != null;

        X509Certificate cert = KeyUtil.makeSelfSigned(keypair, planetlabSfaHrn, 2);

        return cert;
    }
}
